Skip to main content
GET
/
v1
/
detection-rules
List Detection Rules
curl --request GET \
  --url https://api.example.com/v1/detection-rules
{
  "data": [
    {
      "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "source_rule_id": "<string>",
      "source_name": "<string>",
      "severity": "<string>",
      "is_active": true,
      "mitre_tactics": [
        "<string>"
      ],
      "mitre_techniques": [
        "<string>"
      ],
      "mitre_subtechniques": [
        "<string>"
      ],
      "data_sources": [
        "<string>"
      ],
      "run_frequency": "<string>",
      "created_by": "<string>",
      "documentation": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "total": 123,
    "page": 123,
    "page_size": 123,
    "total_pages": 123
  }
}

Query Parameters

source_name
string | null
severity
string | null
is_active
boolean | null
sort_by
string | null
sort_order
string | null
page
integer
default:1

Page number (1-indexed)

Required range: x >= 1
page_size
integer
default:50

Items per page (max 500)

Required range: 1 <= x <= 500

Response

Successful Response

data
DetectionRuleResponse · object[]
required
meta
PaginationMeta · object
required